Bug 240653 - Checksum problem with Metadata Fedora Core 7 test 4
Summary: Checksum problem with Metadata Fedora Core 7 test 4
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-19 12:54 UTC by Glenn Rottingen
Modified: 2014-01-21 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 18:07:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glenn Rottingen 2007-05-19 12:54:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:[root@grottingen ~]# yum -y update
Loading "installonlyn" plugin
Setting up Update Process
development               100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 2.6 MB    00:03     
developmen: ################################################## 7296/7296
extras-development        100% |=========================| 2.1 kB    00:00     
Resolving Dependencies
--> Running transaction check
filelists.xml.gz          100% |=========================| 6.1 MB    00:08     
http://mirrors.kernel.org/fedora/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
filelists.xml.gz          100% |=========================| 6.1 MB    00:07     
http://mirror.hiwaay.net/pub/fedora/linux/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
filelists.xml.gz          100% |=========================| 6.1 MB    00:12     
http://mirrors.tiatera.com/fedora/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
filelists.xml.gz          100% |=========================| 6.1 MB    00:09     
http://mirrors.usc.edu/pub/linux/distributions/fedora/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
filelists.xml.gz          100% |=========================| 6.1 MB    00:07     
http://mirror.cc.vt.edu/pub/fedora/linux/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
filelists.xml.gz          100% |=========================| 6.1 MB    00:11     
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/repodata/filelists.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.

Comment 1 Jeremy Katz 2007-05-22 19:41:29 UTC
This is just mirrors being out of date.  There's not much that can be done about
that.  Things should improve as rawhide gets mirrored more fully

Comment 2 James Antill 2007-05-22 20:31:41 UTC
 Jeremy is there a general bug for this, as I've seen it post GA in every Fedora
release? If not I'd like to keep this open, as I think I can "fix" it by having
the checksum+files as a single transaction ... so the failure mode would be to
use the oldest checksum+data that matches.
 This would still fail if you have no cached data, but that would still solve
the most common problem IMO.


Comment 3 Seth Vidal 2007-06-20 15:56:57 UTC
There's no general bug for this, however, mirrormanager has significantly
improved this situation. We won't list mirrors that we know are out-of-sync.


Note You need to log in before you can comment on or make changes to this bug.